module resultados

! objetivo: mostrar listagem e gráfico dos resultados

use variaveis

implicit none

contains

!-------------------------------------------------------------------------------

  subroutine visualizacao

    call richardson 

  end subroutine visualizacao

!-------------------------------------------------------------------------------

  subroutine richardson
  
    open(out,file=trim(adjustl(titulo))//'.Richardson_3p0')
    write(out,12) h , k_f, Y1, Y2, Y3, Y4, Y5, Y6, Y8, Y10, X(P)

    12 format(  2x, 1pe40.32, 2x, 'h           (adim.)',/, &
             ' 1 ', 1pe40.32, 2x, ' f(x) = k(fixo)      (Valor da imagem de f(X) a ser interpolado)',/, &
             ' 2 ', 1pe40.32, 2x, 'Valor X interpolado         (adim.) (Int. Pol. Pp=1)',/, &
             ' 3 ', 1pe40.32, 2x, 'Valor X interpolado         (adim.) (Int. Pol. Pp=2)',/, &
             ' 4 ', 1pe40.32, 2x, 'Valor X interpolado         (adim.) (Int. Pol. Pp=3)',/, &
             ' 5 ', 1pe40.32, 2x, 'Valor X interpolado         (adim.) (Int. Pol. Pp=4)',/, &
             ' 6 ', 1pe40.32, 2x, 'Valor X interpolado         (adim.) (Int. Pol. Pp=5)',/, &
             ' 7 ', 1pe40.32, 2x, 'Valor X interpolado         (adim.) (Int. Pol. Pp=6)',/, &
             ' 8 ', 1pe40.32, 2x, 'Valor X interpolado         (adim.) (Int. Pol. Pp=8)',/, &
             ' 9 ', 1pe40.32, 2x, 'Valor X interpolado         (adim.) (Int. Pol. Pp=10)',/, &
             ' 10', 1pe40.32, 2x, 'Valor X discreto - malha    (adim.) (X(nó mais próximo))')
    close(out)

    note_caso = 'notepad '// trim(adjustl(titulo)) // '.Richardson_3p0'
    dos = system(note_caso) ! lista arquivo das variáveis de interesse
    
   write(*,*) i 
   end subroutine richardson

end module resultados